
.namespace s07_HotSpot

function OnActivate()
	
	OPLog.Log("onactivate "..self.Name)
	if self.Name == "planches_area" and not SampleLevel.IsEqual("s07_search_3","finished") then
		NavigationManager.SwitchTo(nil,"s06_SearchSite")
	--elseif self.Name == "planches_area" and SampleLevel.IsEqual("s08_firstenter",true) then
		--NavigationManager.SwitchTo(nil,"s08_c01")
	elseif self.Name == "planches_area"--[[ and SampleLevel.IsEqual("s08_firstenter",false)]] then
		NavigationManager.SwitchTo(nil,"s08_SearchSite")
	end	
	if self.Name == "bureau_area" then
	NavigationManager.SwitchTo(nil,"s07_c01")
	
	end	
	

	
	if self.Name == "Pince_hotspot" then
	SequencePlayer.Enabled = true
	SequencePlayer.PlaySequence("GP_705",nil,nil)
	end
		

end

function OnEnable()
	AreaHotspot.OnEnable()
	--self.firstclick = true
	OPLog.Log("mon onenable "..self.Name)

end


function GetSpecificCursor()
if  self.Name == "bureau_area" then
		return 5
elseif	self.Name == "planches_area" then
		return 4,"s08"	
elseif self.Name == "Pince_hotspot" then
		return CURSOR_GENERIQUE
	else
		return CURSOR_AREA_HOTSPOT
	end
 end
-- function OnDropObject()
	-- OPLog.Log("drop "..self.Name)
	-- if IsEqualVariables("CurrentObject","InventoryPince") and self.Name == "Pince_hotspot" then
		-- Pince_hotspot.Enabled = false
		-- InventoryManager.RemoveFromInventory("InventoryPince")
		-- SequencePlayer.Enabled = true
		-- SequencePlayer.PlaySequence("GP_706",nil,nil)
		-- SampleLevel.Set("s07_pince",true)
		-- --Cursor.ChangeCursor(11,nil)
		-- return true
	-- end
	-- return false
-- end